Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8044739 Public APIs should have consistent and correct @since information
  3. JDK-8044740

Convert all JDK versions used in @since tag to 1.n[.n] in jdk repo

    XMLWordPrintable

    Details

    • Type: Sub-task
    • Status: Resolved
    • Priority: P4
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 9
    • Component/s: core-libs
    • Labels:
    • Resolved In Build:
      b19

      Description

      Normalize @since tag to use consistent format for JDK to @since 1.n[.n]

      Under most circumstances, this should be @since 1.n as public APIs should not change during a major(spec) release.

      We found exceptions before 1.1, where we would have the second version, such 1.0.2.

      Note that some API use a standard, such as SAX or JCE along with the standard version, those are reserved for now.

        Attachments

          Activity

            People

            Assignee:
            henryjen Henry Jen
            Reporter:
            henryjen Henry Jen
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: